#!/bin/bash

if [ ! "$1" ] ; then 
	echo "usage : svg2png.sh SIZE"
	exit
fi
for file in *.svg ; do 
	if [ "$(ls -l ${file} | grep "^l")" ] ; then
		linktarget="$(ls -l ${file} | sed -e 's/.* -> \(.*\)$/\1/')"
		unlink ${file}
		ln -s ${linktarget%%.svg}.png ${file%%.svg}.png 
		continue
	fi
	inkscape --export-width=${1} --export-png=${file%%.svg}.png --export-area-canvas ${file}
	echo ${file%%.svg}.png 
done
